com.brightcove.player.dash

## Class BrightcoveSegmentTemplate

- java.lang.Object
- - com.brightcove.player.dash.BrightcoveSegmentTemplate

-     public class BrightcoveSegmentTemplate
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcoveSegmentTemplate(com.google.android.exoplayer2.source.dash.manifest.RangedUri initialization, long timescale, long presentationTimeOffset, long startNumber, long endNumber, long duration, java.util.List<com.google.android.exoplayer2.source.dash.manifest.SegmentBase.SegmentTimelineElement> segmentTimeline, long availabilityTimeOffsetUs, com.google.android.exoplayer2.source.dash.manifest.UrlTemplate initializationTemplate, com.google.android.exoplayer2.source.dash.manifest.UrlTemplate mediaTemplate, long timeShiftBufferDepthMs, long periodStartUnixTimeMs)`
    `BrightcoveSegmentTemplate(com.google.android.exoplayer2.source.dash.manifest.RangedUri initialization, long timescale, long presentationTimeOffset, long startNumber, long endNumber, long duration, java.util.List<com.google.android.exoplayer2.source.dash.manifest.SegmentBase.SegmentTimelineElement> segmentTimeline, com.google.android.exoplayer2.source.dash.manifest.UrlTemplate initializationTemplate, com.google.android.exoplayer2.source.dash.manifest.UrlTemplate mediaTemplate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSegmentCount(long periodDurationUs)` Deprecated.
    `long` | `getSegmentCountLong(long periodDurationUs)`
    `com.google.android.exoplayer2.source.dash.manifest.SegmentBase.SegmentTemplate` | `getSegmentTemplate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrightcoveSegmentTemplate

          public BrightcoveSegmentTemplate(com.google.android.exoplayer2.source.dash.manifest.RangedUri initialization,
                                           long timescale,
                                           long presentationTimeOffset,
                                           long startNumber,
                                           long endNumber,
                                           long duration,
                                           java.util.List<com.google.android.exoplayer2.source.dash.manifest.SegmentBase.SegmentTimelineElement> segmentTimeline,
                                           com.google.android.exoplayer2.source.dash.manifest.UrlTemplate initializationTemplate,
                                           com.google.android.exoplayer2.source.dash.manifest.UrlTemplate mediaTemplate)

      Parameters:
        `initialization` - A `RangedUri` corresponding to initialization data, if such data exists. The value of this parameter is ignored if `initializationTemplate` is non-null.
        `timescale` - The timescale in units per second.
        `presentationTimeOffset` - The presentation time offset. The value in seconds is the division of this value and `timescale`.
        `startNumber` - The sequence number of the first segment.
        `duration` - The duration of each segment in the case of fixed duration segments. The value in seconds is the division of this value and `timescale`. If `segmentTimeline` is non-null then this parameter is ignored.
        `segmentTimeline` - A segment timeline corresponding to the segments. If null, then segments are assumed to be of fixed duration as specified by the `duration` parameter.
        `initializationTemplate` - A template defining the location of initialization data, if such data exists. If non-null then the `initialization` parameter is ignored. If null then `initialization` will be used.
        `mediaTemplate` - A template defining the location of each media segment.

    - #### BrightcoveSegmentTemplate

          public BrightcoveSegmentTemplate(com.google.android.exoplayer2.source.dash.manifest.RangedUri initialization,
                                           long timescale,
                                           long presentationTimeOffset,
                                           long startNumber,
                                           long endNumber,
                                           long duration,
                                           java.util.List<com.google.android.exoplayer2.source.dash.manifest.SegmentBase.SegmentTimelineElement> segmentTimeline,
                                           long availabilityTimeOffsetUs,
                                           com.google.android.exoplayer2.source.dash.manifest.UrlTemplate initializationTemplate,
                                           com.google.android.exoplayer2.source.dash.manifest.UrlTemplate mediaTemplate,
                                           long timeShiftBufferDepthMs,
                                           long periodStartUnixTimeMs)

      Parameters:
        `initialization` - A `RangedUri` corresponding to initialization data, if such data exists. The value of this parameter is ignored if `initializationTemplate` is non-null.
        `timescale` - The timescale in units per second.
        `presentationTimeOffset` - The presentation time offset. The value in seconds is the division of this value and `timescale`.
        `startNumber` - The sequence number of the first segment.
        `duration` - The duration of each segment in the case of fixed duration segments. The value in seconds is the division of this value and `timescale`. If `segmentTimeline` is non-null then this parameter is ignored.
        `segmentTimeline` - A segment timeline corresponding to the segments. If null, then segments are assumed to be of fixed duration as specified by the `duration` parameter.
        `availabilityTimeOffsetUs` - The offset to the current realtime at which segments become
        `initializationTemplate` - A template defining the location of initialization data, if such data exists. If non-null then the `initialization` parameter is ignored. If null then `initialization` will be used.
        `mediaTemplate` - A template defining the location of each media segment.
        `timeShiftBufferDepthMs` - The time shift buffer depth in microseconds.
        `periodStartUnixTimeMs` - The start of the enclosing period in microseconds since the Unix epoch

  - ### Method Detail

    - #### getSegmentCount

          @Deprecated
          public int getSegmentCount(long periodDurationUs)

      Deprecated.
      Deprecated. Use `getSegmentCountLong(long)` instead.

    - #### getSegmentCountLong

          public long getSegmentCountLong(long periodDurationUs)

    - #### getSegmentTemplate

          public com.google.android.exoplayer2.source.dash.manifest.SegmentBase.SegmentTemplate getSegmentTemplate()